UiPath Documentation
automation-cloud
latest
false

UiPath Automation Cloud API ガイド

最終更新日時 2026年5月5日

Search Directory

Searches the directory for entities (users, groups, or applications) matching a prefix string, based on the organization ID.

API エンドポイント

GET {accessURL}/{organizationName}/identity_/api/Directory/Search/{partitionGlobalId}

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud (公共部門向け)https://govcloud.uipath.us/
Automation Cloud (専有型)https://{customURL}.dedicated.uipath.com/

スコープ

次のスコープが必要です。

  • PM.Directory

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。

パス パラメーター

パス パラメーターデータ型説明
partitionGlobalId (必須)String (GUID)The ID of the organization to search within.

Query Parameters

クエリ パラメーターデータ型説明
startsWith (必須)文字列The prefix string to search for. Results will match entities whose name, email, or display name starts with this value.
entityType (任意)文字列The type of directory entity to search for. Valid values: User, Group, Application. Cannot be used together with sourceFilter.
sourceFilter (任意)Array of stringsFilters results by source. Valid values: LocalUsers, DirectoryUsers, LocalGroups, DirectoryGroups, RobotAccounts, Applications. Cannot be used together with entityType.
scope (任意)文字列Optional scope used for entities in active directory.

応答

200 OK

Returns a list of directory entities matching the search criteria.

[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    },
    {
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "identityName": "Engineering Team",
        "displayName": "Engineering Team",
        "email": null,
        "type": "Group",
        "objectType": "DirectoryGroup"
    }
]
[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    },
    {
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "identityName": "Engineering Team",
        "displayName": "Engineering Team",
        "email": null,
        "type": "Group",
        "objectType": "DirectoryGroup"
    }
]

400 Bad Request

Returned when both entityType and sourceFilter are provided, or when required parameters are missing.

要求の例

API 呼び出しの構築に必要な情報をすべて収集したとします。

呼び出しは次の例のようになります (cURL)。

curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Search/3fa85f64-5717-4562-b3fc-2c963f66afa6?startsWith=john&entityType=User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Search/3fa85f64-5717-4562-b3fc-2c963f66afa6?startsWith=john&entityType=User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'

呼び出しが成功した場合、応答本文は次のようになります。

[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    }
]
[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    }
]
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • パス パラメーター
  • Query Parameters
  • 応答
  • 200 OK
  • 400 Bad Request
  • 要求の例

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得